Bug 16353 - Use udpated WebIDL syntax
Summary: Use udpated WebIDL syntax
Status: VERIFIED FIXED
Alias: None
Product: WebAppsWG
Classification: Unclassified
Component: HISTORICAL - DOM3 Events (show other bugs)
Version: unspecified
Hardware: PC Windows NT
: P2 normal
Target Milestone: ---
Assignee: Travis Leithead [MSFT]
QA Contact: public-webapps-bugzilla
URL: http://lists.w3.org/Archives/Public/w...
Whiteboard:
Keywords: LC, reviewerSatisfied
Depends on:
Blocks:
 
Reported: 2012-03-13 23:37 UTC by Travis Leithead [MSFT]
Modified: 2012-05-04 17:08 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Travis Leithead [MSFT] 2012-03-13 23:37:38 UTC
[PORTING to bug]

Hi Doug, Jacob

The DOM 3 Events specification includes WebIDL code in non-normative 
appendices, but the syntax used is obsolete. In particular, it uses 
'[Supplemental] interface', which was replaced with 'partial interface' 
and the 'in' and 'raises' keywords.

Also, it seems that the specification does not use the 'Foo?' syntax for 
nullable types, and it has rather peculiar indentation.

Please update the draft accordingly.

Thanks
Ms2ger
Comment 1 Travis Leithead [MSFT] 2012-03-13 23:39:36 UTC
The WebIDL syntax used in this spec was updated in the last revision of DOM3 Events. It should be congruent with the DOM4 syntax (except no event contstructors, of course).
Comment 2 Ms2ger 2012-03-14 10:16:42 UTC
Thank you, the spec looks good now.
Comment 3 Travis Leithead [MSFT] 2012-03-15 22:37:11 UTC
Verified by opener. Thanks!
Comment 4 Philippe Le Hegaret 2012-05-04 16:54:15 UTC
One last mistake to fix in order to match WebIDL:

[[
 readonly attribute any? detail;
]]
any doesn't seem to accept "?".
Comment 5 Travis Leithead [MSFT] 2012-05-04 17:08:36 UTC
(In reply to comment #4)
> One last mistake to fix in order to match WebIDL:
> 
> [[
>  readonly attribute any? detail;
> ]]
> any doesn't seem to accept "?".

Fixed. Thanks for the catch.